# DVB variants of MPEG-TS sections

The list of section types defined and used by the DVB specifications can be seen in GstMpegtsSectionDVBTableID.

# Supported DVB MPEG-TS sections

These are the sections for which parsing and packetizing code exists.

## Network Information Table (NIT)

See:

- gst_mpegts_section_get_nit
- GstMpegtsNIT
- GstMpegtsNITStream
- gst_mpegts_nit_new

## Service Description Table (SDT)

See:

- gst_mpegts_section_get_sdt
- GstMpegtsSDT
- GstMpegtsSDTService
- gst_mpegts_sdt_new

## Bouquet Association Table (BAT)

See:

- gst_mpegts_section_get_bat
- GstMpegtsBAT
- GstMpegtsBATStream

## Event Information Table (EIT)

See:

- gst_mpegts_section_get_eit
- GstMpegtsEIT
- GstMpegtsEITEvent

## Time Date Table (TDT)

See:

- gst_mpegts_section_get_tdt

## Time Offset Table (TOT)

See:

- gst_mpegts_section_get_tot
- GstMpegtsTOT

## Selection Information Table (SIT)

See:

- gst_mpegts_section_get_sit
- GstMpegtsSIT
- GstMpegtsSITService

# API

## GstMpegtsBAT

DVB Bouquet Association Table (EN 300 468)

### Members

`descriptors` (GPtrArray *) –

(element-type GstMpegtsDescriptor):

`streams` (GPtrArray *) –

(element-type GstMpegtsBATStream):

## GstMpegts.BAT

DVB Bouquet Association Table (EN 300 468)

### Members

`descriptors` ([ GstMpegts.Descriptor ]) –

(element-type GstMpegtsDescriptor):

`streams` ([ GstMpegts.BATStream ]) –

(element-type GstMpegtsBATStream):

## GstMpegts.BAT

DVB Bouquet Association Table (EN 300 468)

### Members

`descriptors` ([ GstMpegts.Descriptor ]) –

(element-type GstMpegtsDescriptor):

`streams` ([ GstMpegts.BATStream ]) –

(element-type GstMpegtsBATStream):

## GstMpegtsBATStream

### Members

`transport_stream_id` (guint16) –
No description available
`original_network_id` (guint16) –
No description available
`descriptors` (GPtrArray *) –
No description available

## GstMpegts.BATStream

### Members

`transport_stream_id` (Number) –
No description available
`original_network_id` (Number) –
No description available
`descriptors` ([ Object ]) –
No description available

## GstMpegts.BATStream

### Members

`transport_stream_id` (int) –
No description available
`original_network_id` (int) –
No description available
`descriptors` ([ object ]) –
No description available

## GstMpegtsEIT

Event Information Table (EN 300 468)

### Members

`transport_stream_id` (guint16) –
No description available
`original_network_id` (guint16) –
No description available
`segment_last_section_number` (guint8) –
No description available
`last_table_id` (guint8) –
No description available
`actual_stream` (gboolean) –
No description available
`present_following` (gboolean) –
No description available
`events` (GPtrArray *) –

List of events

## GstMpegts.EIT

Event Information Table (EN 300 468)

### Members

`transport_stream_id` (Number) –
No description available
`original_network_id` (Number) –
No description available
`segment_last_section_number` (Number) –
No description available
`last_table_id` (Number) –
No description available
`actual_stream` (Number) –
No description available
`present_following` (Number) –
No description available
`events` ([ GstMpegts.EITEvent ]) –

List of events

## GstMpegts.EIT

Event Information Table (EN 300 468)

### Members

`transport_stream_id` (int) –
No description available
`original_network_id` (int) –
No description available
`segment_last_section_number` (int) –
No description available
`last_table_id` (int) –
No description available
`actual_stream` (bool) –
No description available
`present_following` (bool) –
No description available
`events` ([ GstMpegts.EITEvent ]) –

List of events

## GstMpegtsEITEvent

Event from a GstMpegtsEIT

### Members

`event_id` (guint16) –
No description available
`start_time` (GstDateTime *) –
No description available
`duration` (guint32) –
No description available
`running_status` (GstMpegtsRunningStatus) –
No description available
`free_CA_mode` (gboolean) –
No description available
`descriptors` (GPtrArray *) –

List of descriptors

## GstMpegts.EITEvent

Event from a GstMpegtsEIT

### Members

`event_id` (Number) –
No description available
`start_time` (Gst.DateTime) –
No description available
`duration` (Number) –
No description available
`running_status` (GstMpegts.RunningStatus) –
No description available
`free_CA_mode` (Number) –
No description available
`descriptors` ([ GstMpegts.Descriptor ]) –

List of descriptors

## GstMpegts.EITEvent

Event from a GstMpegtsEIT

### Members

`event_id` (int) –
No description available
`start_time` (Gst.DateTime) –
No description available
`duration` (int) –
No description available
`running_status` (GstMpegts.RunningStatus) –
No description available
`free_CA_mode` (bool) –
No description available
`descriptors` ([ GstMpegts.Descriptor ]) –

List of descriptors

## GstMpegtsNIT

Network Information Table (ISO/IEC 13818-1 / EN 300 468)

### Members

`actual_network` (gboolean) –

Whether this NIT corresponds to the actual stream

`network_id` (guint16) –

ID of the network that this NIT describes

`descriptors` (GPtrArray *) –

the global descriptors

`streams` (GPtrArray *) –

the streams

## GstMpegts.NIT

Network Information Table (ISO/IEC 13818-1 / EN 300 468)

### Members

`actual_network` (Number) –

Whether this NIT corresponds to the actual stream

`network_id` (Number) –

ID of the network that this NIT describes

`descriptors` ([ GstMpegts.Descriptor ]) –

the global descriptors

`streams` ([ GstMpegts.NITStream ]) –

the streams

## GstMpegts.NIT

Network Information Table (ISO/IEC 13818-1 / EN 300 468)

### Members

`actual_network` (bool) –

Whether this NIT corresponds to the actual stream

`network_id` (int) –

ID of the network that this NIT describes

`descriptors` ([ GstMpegts.Descriptor ]) –

the global descriptors

`streams` ([ GstMpegts.NITStream ]) –

the streams

### Constructors

#### gst_mpegts_nit_new

    GstMpegtsNIT *
    gst_mpegts_nit_new ()

Allocates and initializes a GstMpegtsNIT.

Returns ( [transfer: full]) –

A newly allocated GstMpegtsNIT

#### GstMpegts.NIT.prototype.new

    function GstMpegts.NIT.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_nit_new'
    }

Allocates and initializes a GstMpegts.NIT.

Returns (GstMpegts.NIT) –

A newly allocated GstMpegts.NIT

#### GstMpegts.NIT.new

    def GstMpegts.NIT.new ():
        #python wrapper for 'gst_mpegts_nit_new'

Allocates and initializes a GstMpegts.NIT.

Returns (GstMpegts.NIT) –

A newly allocated GstMpegts.NIT

## GstMpegtsNITStream

### Members

`transport_stream_id` (guint16) –
No description available
`original_network_id` (guint16) –
No description available
`descriptors` (GPtrArray *) –

(element-type GstMpegtsDescriptor):

## GstMpegts.NITStream

### Members

`transport_stream_id` (Number) –
No description available
`original_network_id` (Number) –
No description available
`descriptors` ([ GstMpegts.Descriptor ]) –

(element-type GstMpegtsDescriptor):

## GstMpegts.NITStream

### Members

`transport_stream_id` (int) –
No description available
`original_network_id` (int) –
No description available
`descriptors` ([ GstMpegts.Descriptor ]) –

(element-type GstMpegtsDescriptor):

### Constructors

#### gst_mpegts_nit_stream_new

    GstMpegtsNITStream *
    gst_mpegts_nit_stream_new ()

Allocates and initializes a GstMpegtsNITStream

Returns ( [transfer: full]) –

A newly allocated GstMpegtsNITStream

#### GstMpegts.NITStream.prototype.new

    function GstMpegts.NITStream.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_nit_stream_new'
    }

Allocates and initializes a GstMpegts.NITStream

Returns (GstMpegts.NITStream) –

A newly allocated GstMpegts.NITStream

#### GstMpegts.NITStream.new

    def GstMpegts.NITStream.new ():
        #python wrapper for 'gst_mpegts_nit_stream_new'

Allocates and initializes a GstMpegts.NITStream

Returns (GstMpegts.NITStream) –

A newly allocated GstMpegts.NITStream

## GstMpegtsSDT

Service Description Table (EN 300 468)

### Members

`original_network_id` (guint16) –

Network ID of the originating delivery system

`actual_ts` (gboolean) –

True if the table describes this transport stream

`transport_stream_id` (guint16) –

ID of this transport stream

`services` (GPtrArray *) –

List of services

## GstMpegts.SDT

Service Description Table (EN 300 468)

### Members

`original_network_id` (Number) –

Network ID of the originating delivery system

`actual_ts` (Number) –

True if the table describes this transport stream

`transport_stream_id` (Number) –

ID of this transport stream

`services` ([ GstMpegts.SDTService ]) –

List of services

## GstMpegts.SDT

Service Description Table (EN 300 468)

### Members

`original_network_id` (int) –

Network ID of the originating delivery system

`actual_ts` (bool) –

True if the table describes this transport stream

`transport_stream_id` (int) –

ID of this transport stream

`services` ([ GstMpegts.SDTService ]) –

List of services

### Constructors

#### gst_mpegts_sdt_new

    GstMpegtsSDT *
    gst_mpegts_sdt_new ()

Allocates and initializes a GstMpegtsSDT.

Returns ( [transfer: full]) –

A newly allocated GstMpegtsSDT

#### GstMpegts.SDT.prototype.new

    function GstMpegts.SDT.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_sdt_new'
    }

Allocates and initializes a GstMpegts.SDT.

Returns (GstMpegts.SDT) –

A newly allocated GstMpegts.SDT

#### GstMpegts.SDT.new

    def GstMpegts.SDT.new ():
        #python wrapper for 'gst_mpegts_sdt_new'

Allocates and initializes a GstMpegts.SDT.

Returns (GstMpegts.SDT) –

A newly allocated GstMpegts.SDT

## GstMpegtsSDTService

### Members

`service_id` (guint16) –

The program number this table belongs to

`EIT_schedule_flag` (gboolean) –

EIT schedule information is present in this transport stream

`EIT_present_following_flag` (gboolean) –

EIT present/following information is present in this transport stream

`running_status` (GstMpegtsRunningStatus) –

Status of this service

`free_CA_mode` (gboolean) –

True if one or more streams is controlled by a CA system

`descriptors` (GPtrArray *) –

List of descriptors

## GstMpegts.SDTService

### Members

`service_id` (Number) –

The program number this table belongs to

`EIT_schedule_flag` (Number) –

EIT schedule information is present in this transport stream

`EIT_present_following_flag` (Number) –

EIT present/following information is present in this transport stream

`running_status` (GstMpegts.RunningStatus) –

Status of this service

`free_CA_mode` (Number) –

True if one or more streams is controlled by a CA system

`descriptors` ([ GstMpegts.Descriptor ]) –

List of descriptors

## GstMpegts.SDTService

### Members

`service_id` (int) –

The program number this table belongs to

`EIT_schedule_flag` (bool) –

EIT schedule information is present in this transport stream

`EIT_present_following_flag` (bool) –

EIT present/following information is present in this transport stream

`running_status` (GstMpegts.RunningStatus) –

Status of this service

`free_CA_mode` (bool) –

True if one or more streams is controlled by a CA system

`descriptors` ([ GstMpegts.Descriptor ]) –

List of descriptors

### Constructors

#### gst_mpegts_sdt_service_new

    GstMpegtsSDTService *
    gst_mpegts_sdt_service_new ()

Allocates and initializes a GstMpegtsSDTService.

Returns ( [transfer: full]) –

A newly allocated GstMpegtsSDTService

#### GstMpegts.SDTService.prototype.new

    function GstMpegts.SDTService.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_sdt_service_new'
    }

Allocates and initializes a GstMpegts.SDTService.

Returns (GstMpegts.SDTService) –

A newly allocated GstMpegts.SDTService

#### GstMpegts.SDTService.new

    def GstMpegts.SDTService.new ():
        #python wrapper for 'gst_mpegts_sdt_service_new'

Allocates and initializes a GstMpegts.SDTService.

Returns (GstMpegts.SDTService) –

A newly allocated GstMpegts.SDTService

## GstMpegtsSIT

Selection Information Table (EN 300 468)

### Members

`descriptors` (GPtrArray *) –

List of descriptors

`services` (GPtrArray *) –

List of services

Since : 1.20

## GstMpegts.SIT

Selection Information Table (EN 300 468)

### Members

`descriptors` ([ GstMpegts.Descriptor ]) –

List of descriptors

`services` ([ GstMpegts.SITService ]) –

List of services

Since : 1.20

## GstMpegts.SIT

Selection Information Table (EN 300 468)

### Members

`descriptors` ([ GstMpegts.Descriptor ]) –

List of descriptors

`services` ([ GstMpegts.SITService ]) –

List of services

Since : 1.20

## GstMpegtsSITService

SIT Service entry

### Members

`service_id` (guint16) –

The Program number this table belongs to

`running_status` (GstMpegtsRunningStatus) –

Status of this service

`descriptors` (GPtrArray *) –

List of descriptors

Since : 1.20

## GstMpegts.SITService

SIT Service entry

### Members

`service_id` (Number) –

The Program number this table belongs to

`running_status` (GstMpegts.RunningStatus) –

Status of this service

`descriptors` ([ GstMpegts.Descriptor ]) –

List of descriptors

Since : 1.20

## GstMpegts.SITService

SIT Service entry

### Members

`service_id` (int) –

The Program number this table belongs to

`running_status` (GstMpegts.RunningStatus) –

Status of this service

`descriptors` ([ GstMpegts.Descriptor ]) –

List of descriptors

Since : 1.20

## GstMpegtsTOT

Time Offset Table (EN 300 468)

### Members

`utc_time` (GstDateTime *) –
No description available
`descriptors` (GPtrArray *) –

List of descriptors

## GstMpegts.TOT

Time Offset Table (EN 300 468)

### Members

`utc_time` (Gst.DateTime) –
No description available
`descriptors` ([ GstMpegts.Descriptor ]) –

List of descriptors

## GstMpegts.TOT

Time Offset Table (EN 300 468)

### Members

`utc_time` (Gst.DateTime) –
No description available
`descriptors` ([ GstMpegts.Descriptor ]) –

List of descriptors

## Enumerations

### GstMpegtsRunningStatus

Running status of a service.

Corresponds to table 6 of ETSI EN 300 468 (v1.13.0)

##### Members

`GST_MPEGTS_RUNNING_STATUS_UNDEFINED` (0) –
No description available
`GST_MPEGTS_RUNNING_STATUS_NOT_RUNNING` (1) –
No description available
`GST_MPEGTS_RUNNING_STATUS_STARTS_IN_FEW_SECONDS` (2) –
No description available
`GST_MPEGTS_RUNNING_STATUS_PAUSING` (3) –
No description available
`GST_MPEGTS_RUNNING_STATUS_RUNNING` (4) –
No description available
`GST_MPEGTS_RUNNING_STATUS_OFF_AIR` (5) –
No description available

### GstMpegts.RunningStatus

Running status of a service.

Corresponds to table 6 of ETSI EN 300 468 (v1.13.0)

##### Members

`GstMpegts.RunningStatus.UNDEFINED` (0) –
No description available
`GstMpegts.RunningStatus.NOT_RUNNING` (1) –
No description available
`GstMpegts.RunningStatus.STARTS_IN_FEW_SECONDS` (2) –
No description available
`GstMpegts.RunningStatus.PAUSING` (3) –
No description available
`GstMpegts.RunningStatus.RUNNING` (4) –
No description available
`GstMpegts.RunningStatus.OFF_AIR` (5) –
No description available

### GstMpegts.RunningStatus

Running status of a service.

Corresponds to table 6 of ETSI EN 300 468 (v1.13.0)

##### Members

`GstMpegts.RunningStatus.UNDEFINED` (0) –
No description available
`GstMpegts.RunningStatus.NOT_RUNNING` (1) –
No description available
`GstMpegts.RunningStatus.STARTS_IN_FEW_SECONDS` (2) –
No description available
`GstMpegts.RunningStatus.PAUSING` (3) –
No description available
`GstMpegts.RunningStatus.RUNNING` (4) –
No description available
`GstMpegts.RunningStatus.OFF_AIR` (5) –
No description available

### GstMpegtsSectionDVBTableID

Values for a GstMpegtsSection table_id.

These are the registered DVB table_id variants. Unless specified otherwise, they come from the DVB Specification for SI (ETSI EN 300 468).

see also: GstMpegtsSectionTableID

##### Members

`GST_MTS_TABLE_ID_NETWORK_INFORMATION_ACTUAL_NETWORK` (64) –

Network Information Table (NIT), Actual Network

`GST_MTS_TABLE_ID_NETWORK_INFORMATION_OTHER_NETWORK` (65) –

Network Information Table (NIT), Other Network

`GST_MTS_TABLE_ID_SERVICE_DESCRIPTION_ACTUAL_TS` (66) –

Service Description Table (SDT), Actual Transport Stream

`GST_MTS_TABLE_ID_SERVICE_DESCRIPTION_OTHER_TS` (70) –

Service Description Table (SDT), Other Transport Stream

`GST_MTS_TABLE_ID_BOUQUET_ASSOCIATION` (74) –

Bouquet Association Table (BAT)

`GST_MTS_TABLE_ID_UPDATE_NOTIFICATION` (75) –

ETSI TS 102 006: Update Notification Table (UNT)

(Since: 1.20)
`GST_MTS_TABLE_ID_DOWNLOADABLE_FONT_INFO` (76) –

ETSI EN 303 560: Downloadable Font Info

(Since: 1.20)
`GST_MTS_TABLE_ID_EVENT_INFORMATION_ACTUAL_TS_PRESENT` (78) –

Event Information Table (EIT), Actual Transport Stream, present/following

`GST_MTS_TABLE_ID_EVENT_INFORMATION_OTHER_TS_PRESENT` (79) –

Event Information Table (EIT), Other Transport Stream, present/following

`GST_MTS_TABLE_ID_EVENT_INFORMATION_ACTUAL_TS_SCHEDULE_1` (80) –

Event Information Table (EIT), Actual Transport Stream, Schedule (first)

`GST_MTS_TABLE_ID_EVENT_INFORMATION_ACTUAL_TS_SCHEDULE_N` (95) –

Event Information Table (EIT), Actual Transport Stream, Schedule (last)

`GST_MTS_TABLE_ID_EVENT_INFORMATION_OTHER_TS_SCHEDULE_1` (96) –

Event Information Table (EIT), Other Transport Stream, Schedule (first)

`GST_MTS_TABLE_ID_EVENT_INFORMATION_OTHER_TS_SCHEDULE_N` (111) –

Event Information Table (EIT), Other Transport Stream, Schedule (last)

`GST_MTS_TABLE_ID_TIME_DATE` (112) –

Time Date Table (TDT)

`GST_MTS_TABLE_ID_RUNNING_STATUS` (113) –

Running Status Table (RST)

`GST_MTS_TABLE_ID_STUFFING` (114) –

Stuffing Table (ST)

`GST_MTS_TABLE_ID_TIME_OFFSET` (115) –

Time Offset Table (TOT)

`GST_MTS_TABLE_ID_APPLICATION_INFORMATION_TABLE` (116) –

ETSI TS 102 323: Application Information Table (AIT)

`GST_MTS_TABLE_ID_CONTAINER` (117) –

ETSI TS 102 323: Container Section

`GST_MTS_TABLE_ID_RELATED_CONTENT` (118) –

ETSI TS 102 323: Related Content Table (RCT)

`GST_MTS_TABLE_ID_CONTENT_IDENTIFIER` (119) –

ETSI TS 102 323: Content Identifier Table (CIT)

`GST_MTS_TABLE_ID_MPE_FEC` (120) –

ETSI TS 301 192: MPE-FEC Section

`GST_MTS_TABLE_ID_RESOLUTION_NOTIFICATION` (121) –

ETSI 103 323: Resolution Provider Notification Table (RNT)

`GST_MTS_TABLE_ID_MPE_IFEC` (122) –

ETSI TS 102 772: MPE-IFEC Section

`GST_MTS_TABLE_ID_PROTECTION_MESSAGE` (123) –

ETSI TS 102 809: Protection Message Section

(Since: 1.20)
`GST_MTS_TABLE_ID_DISCONTINUITY_INFORMATION` (126) –

Discontinuity Information Table (DIT)

`GST_MTS_TABLE_ID_SELECTION_INFORMATION` (127) –

Selection Information Table (SIT)

`GST_MTS_TABLE_ID_CA_MESSAGE_ECM_0` (128) –

ETSI TR 289: CA Message Table (CMT): ECM 0

`GST_MTS_TABLE_ID_CA_MESSAGE_ECM_1` (129) –

ETSI TR 289: CA Message Table (CMT): ECM 1

`GST_MTS_TABLE_ID_CA_MESSAGE_SYSTEM_PRIVATE_1` (130) –

ETSI TR 289: CA Message Table (CMT): CA System Private (First)

`GST_MTS_TABLE_ID_CA_MESSAGE_SYSTEM_PRIVATE_N` (143) –

ETSI TR 289: CA Message Table (CMT): CA System Private (Last)

`GST_MTS_TABLE_ID_SCT` (160) –
No description available
`GST_MTS_TABLE_ID_FCT` (161) –
No description available
`GST_MTS_TABLE_ID_TCT` (162) –
No description available
`GST_MTS_TABLE_ID_SPT` (163) –
No description available
`GST_MTS_TABLE_ID_CMT` (164) –
No description available
`GST_MTS_TABLE_ID_TBTP` (165) –
No description available
`GST_MTS_TABLE_ID_PCR_PACKET_PAYLOAD` (166) –
No description available
`GST_MTS_TABLE_ID_TRANSMISSION_MODE_SUPPORT_PAYLOAD` (170) –
No description available
`GST_MTS_TABLE_ID_TIM` (176) –
No description available
`GST_MTS_TABLE_ID_LL_FEC_PARITY_DATA_TABLE` (177) –
No description available

### GstMpegts.SectionDVBTableID

Values for a GstMpegts.Section table_id.

These are the registered DVB table_id variants. Unless specified otherwise, they come from the DVB Specification for SI (ETSI EN 300 468).

see also: GstMpegts.SectionTableID

##### Members

`GstMpegts.SectionDVBTableID.NETWORK_INFORMATION_ACTUAL_NETWORK` (64) –

Network Information Table (NIT), Actual Network

`GstMpegts.SectionDVBTableID.NETWORK_INFORMATION_OTHER_NETWORK` (65) –

Network Information Table (NIT), Other Network

`GstMpegts.SectionDVBTableID.SERVICE_DESCRIPTION_ACTUAL_TS` (66) –

Service Description Table (SDT), Actual Transport Stream

`GstMpegts.SectionDVBTableID.SERVICE_DESCRIPTION_OTHER_TS` (70) –

Service Description Table (SDT), Other Transport Stream

`GstMpegts.SectionDVBTableID.BOUQUET_ASSOCIATION` (74) –

Bouquet Association Table (BAT)

`GstMpegts.SectionDVBTableID.UPDATE_NOTIFICATION` (75) –

ETSI TS 102 006: Update Notification Table (UNT)

(Since: 1.20)
`GstMpegts.SectionDVBTableID.DOWNLOADABLE_FONT_INFO` (76) –

ETSI EN 303 560: Downloadable Font Info

(Since: 1.20)
`GstMpegts.SectionDVBTableID.EVENT_INFORMATION_ACTUAL_TS_PRESENT` (78) –

Event Information Table (EIT), Actual Transport Stream, present/following

`GstMpegts.SectionDVBTableID.EVENT_INFORMATION_OTHER_TS_PRESENT` (79) –

Event Information Table (EIT), Other Transport Stream, present/following

`GstMpegts.SectionDVBTableID.EVENT_INFORMATION_ACTUAL_TS_SCHEDULE_1` (80) –

Event Information Table (EIT), Actual Transport Stream, Schedule (first)

`GstMpegts.SectionDVBTableID.EVENT_INFORMATION_ACTUAL_TS_SCHEDULE_N` (95) –

Event Information Table (EIT), Actual Transport Stream, Schedule (last)

`GstMpegts.SectionDVBTableID.EVENT_INFORMATION_OTHER_TS_SCHEDULE_1` (96) –

Event Information Table (EIT), Other Transport Stream, Schedule (first)

`GstMpegts.SectionDVBTableID.EVENT_INFORMATION_OTHER_TS_SCHEDULE_N` (111) –

Event Information Table (EIT), Other Transport Stream, Schedule (last)

`GstMpegts.SectionDVBTableID.TIME_DATE` (112) –

Time Date Table (TDT)

`GstMpegts.SectionDVBTableID.RUNNING_STATUS` (113) –

Running Status Table (RST)

`GstMpegts.SectionDVBTableID.STUFFING` (114) –

Stuffing Table (ST)

`GstMpegts.SectionDVBTableID.TIME_OFFSET` (115) –

Time Offset Table (TOT)

`GstMpegts.SectionDVBTableID.APPLICATION_INFORMATION_TABLE` (116) –

ETSI TS 102 323: Application Information Table (AIT)

`GstMpegts.SectionDVBTableID.CONTAINER` (117) –

ETSI TS 102 323: Container Section

`GstMpegts.SectionDVBTableID.RELATED_CONTENT` (118) –

ETSI TS 102 323: Related Content Table (RCT)

`GstMpegts.SectionDVBTableID.CONTENT_IDENTIFIER` (119) –

ETSI TS 102 323: Content Identifier Table (CIT)

`GstMpegts.SectionDVBTableID.MPE_FEC` (120) –

ETSI TS 301 192: MPE-FEC Section

`GstMpegts.SectionDVBTableID.RESOLUTION_NOTIFICATION` (121) –

ETSI 103 323: Resolution Provider Notification Table (RNT)

`GstMpegts.SectionDVBTableID.MPE_IFEC` (122) –

ETSI TS 102 772: MPE-IFEC Section

`GstMpegts.SectionDVBTableID.PROTECTION_MESSAGE` (123) –

ETSI TS 102 809: Protection Message Section

(Since: 1.20)
`GstMpegts.SectionDVBTableID.DISCONTINUITY_INFORMATION` (126) –

Discontinuity Information Table (DIT)

`GstMpegts.SectionDVBTableID.SELECTION_INFORMATION` (127) –

Selection Information Table (SIT)

`GstMpegts.SectionDVBTableID.CA_MESSAGE_ECM_0` (128) –

ETSI TR 289: CA Message Table (CMT): ECM 0

`GstMpegts.SectionDVBTableID.CA_MESSAGE_ECM_1` (129) –

ETSI TR 289: CA Message Table (CMT): ECM 1

`GstMpegts.SectionDVBTableID.CA_MESSAGE_SYSTEM_PRIVATE_1` (130) –

ETSI TR 289: CA Message Table (CMT): CA System Private (First)

`GstMpegts.SectionDVBTableID.CA_MESSAGE_SYSTEM_PRIVATE_N` (143) –

ETSI TR 289: CA Message Table (CMT): CA System Private (Last)

`GstMpegts.SectionDVBTableID.SCT` (160) –
No description available
`GstMpegts.SectionDVBTableID.FCT` (161) –
No description available
`GstMpegts.SectionDVBTableID.TCT` (162) –
No description available
`GstMpegts.SectionDVBTableID.SPT` (163) –
No description available
`GstMpegts.SectionDVBTableID.CMT` (164) –
No description available
`GstMpegts.SectionDVBTableID.TBTP` (165) –
No description available
`GstMpegts.SectionDVBTableID.PCR_PACKET_PAYLOAD` (166) –
No description available
`GstMpegts.SectionDVBTableID.TRANSMISSION_MODE_SUPPORT_PAYLOAD` (170) –
No description available
`GstMpegts.SectionDVBTableID.TIM` (176) –
No description available
`GstMpegts.SectionDVBTableID.LL_FEC_PARITY_DATA_TABLE` (177) –
No description available

### GstMpegts.SectionDVBTableID

Values for a GstMpegts.Section table_id.

These are the registered DVB table_id variants. Unless specified otherwise, they come from the DVB Specification for SI (ETSI EN 300 468).

see also: GstMpegts.SectionTableID

##### Members

`GstMpegts.SectionDVBTableID.NETWORK_INFORMATION_ACTUAL_NETWORK` (64) –

Network Information Table (NIT), Actual Network

`GstMpegts.SectionDVBTableID.NETWORK_INFORMATION_OTHER_NETWORK` (65) –

Network Information Table (NIT), Other Network

`GstMpegts.SectionDVBTableID.SERVICE_DESCRIPTION_ACTUAL_TS` (66) –

Service Description Table (SDT), Actual Transport Stream

`GstMpegts.SectionDVBTableID.SERVICE_DESCRIPTION_OTHER_TS` (70) –

Service Description Table (SDT), Other Transport Stream

`GstMpegts.SectionDVBTableID.BOUQUET_ASSOCIATION` (74) –

Bouquet Association Table (BAT)

`GstMpegts.SectionDVBTableID.UPDATE_NOTIFICATION` (75) –

ETSI TS 102 006: Update Notification Table (UNT)

(Since: 1.20)
`GstMpegts.SectionDVBTableID.DOWNLOADABLE_FONT_INFO` (76) –

ETSI EN 303 560: Downloadable Font Info

(Since: 1.20)
`GstMpegts.SectionDVBTableID.EVENT_INFORMATION_ACTUAL_TS_PRESENT` (78) –

Event Information Table (EIT), Actual Transport Stream, present/following

`GstMpegts.SectionDVBTableID.EVENT_INFORMATION_OTHER_TS_PRESENT` (79) –

Event Information Table (EIT), Other Transport Stream, present/following

`GstMpegts.SectionDVBTableID.EVENT_INFORMATION_ACTUAL_TS_SCHEDULE_1` (80) –

Event Information Table (EIT), Actual Transport Stream, Schedule (first)

`GstMpegts.SectionDVBTableID.EVENT_INFORMATION_ACTUAL_TS_SCHEDULE_N` (95) –

Event Information Table (EIT), Actual Transport Stream, Schedule (last)

`GstMpegts.SectionDVBTableID.EVENT_INFORMATION_OTHER_TS_SCHEDULE_1` (96) –

Event Information Table (EIT), Other Transport Stream, Schedule (first)

`GstMpegts.SectionDVBTableID.EVENT_INFORMATION_OTHER_TS_SCHEDULE_N` (111) –

Event Information Table (EIT), Other Transport Stream, Schedule (last)

`GstMpegts.SectionDVBTableID.TIME_DATE` (112) –

Time Date Table (TDT)

`GstMpegts.SectionDVBTableID.RUNNING_STATUS` (113) –

Running Status Table (RST)

`GstMpegts.SectionDVBTableID.STUFFING` (114) –

Stuffing Table (ST)

`GstMpegts.SectionDVBTableID.TIME_OFFSET` (115) –

Time Offset Table (TOT)

`GstMpegts.SectionDVBTableID.APPLICATION_INFORMATION_TABLE` (116) –

ETSI TS 102 323: Application Information Table (AIT)

`GstMpegts.SectionDVBTableID.CONTAINER` (117) –

ETSI TS 102 323: Container Section

`GstMpegts.SectionDVBTableID.RELATED_CONTENT` (118) –

ETSI TS 102 323: Related Content Table (RCT)

`GstMpegts.SectionDVBTableID.CONTENT_IDENTIFIER` (119) –

ETSI TS 102 323: Content Identifier Table (CIT)

`GstMpegts.SectionDVBTableID.MPE_FEC` (120) –

ETSI TS 301 192: MPE-FEC Section

`GstMpegts.SectionDVBTableID.RESOLUTION_NOTIFICATION` (121) –

ETSI 103 323: Resolution Provider Notification Table (RNT)

`GstMpegts.SectionDVBTableID.MPE_IFEC` (122) –

ETSI TS 102 772: MPE-IFEC Section

`GstMpegts.SectionDVBTableID.PROTECTION_MESSAGE` (123) –

ETSI TS 102 809: Protection Message Section

(Since: 1.20)
`GstMpegts.SectionDVBTableID.DISCONTINUITY_INFORMATION` (126) –

Discontinuity Information Table (DIT)

`GstMpegts.SectionDVBTableID.SELECTION_INFORMATION` (127) –

Selection Information Table (SIT)

`GstMpegts.SectionDVBTableID.CA_MESSAGE_ECM_0` (128) –

ETSI TR 289: CA Message Table (CMT): ECM 0

`GstMpegts.SectionDVBTableID.CA_MESSAGE_ECM_1` (129) –

ETSI TR 289: CA Message Table (CMT): ECM 1

`GstMpegts.SectionDVBTableID.CA_MESSAGE_SYSTEM_PRIVATE_1` (130) –

ETSI TR 289: CA Message Table (CMT): CA System Private (First)

`GstMpegts.SectionDVBTableID.CA_MESSAGE_SYSTEM_PRIVATE_N` (143) –

ETSI TR 289: CA Message Table (CMT): CA System Private (Last)

`GstMpegts.SectionDVBTableID.SCT` (160) –
No description available
`GstMpegts.SectionDVBTableID.FCT` (161) –
No description available
`GstMpegts.SectionDVBTableID.TCT` (162) –
No description available
`GstMpegts.SectionDVBTableID.SPT` (163) –
No description available
`GstMpegts.SectionDVBTableID.CMT` (164) –
No description available
`GstMpegts.SectionDVBTableID.TBTP` (165) –
No description available
`GstMpegts.SectionDVBTableID.PCR_PACKET_PAYLOAD` (166) –
No description available
`GstMpegts.SectionDVBTableID.TRANSMISSION_MODE_SUPPORT_PAYLOAD` (170) –
No description available
`GstMpegts.SectionDVBTableID.TIM` (176) –
No description available
`GstMpegts.SectionDVBTableID.LL_FEC_PARITY_DATA_TABLE` (177) –
No description available

## Constants

### GST_TYPE_MPEGTS_BAT

    #define GST_TYPE_MPEGTS_BAT (gst_mpegts_bat_get_type())

### GST_TYPE_MPEGTS_BAT_STREAM

    #define GST_TYPE_MPEGTS_BAT_STREAM (gst_mpegts_bat_get_type())

### GST_TYPE_MPEGTS_EIT

    #define GST_TYPE_MPEGTS_EIT (gst_mpegts_eit_get_type())

### GST_TYPE_MPEGTS_EIT_EVENT

    #define GST_TYPE_MPEGTS_EIT_EVENT (gst_mpegts_eit_event_get_type())

### GST_TYPE_MPEGTS_NIT

    #define GST_TYPE_MPEGTS_NIT (gst_mpegts_nit_get_type())

### GST_TYPE_MPEGTS_NIT_STREAM

    #define GST_TYPE_MPEGTS_NIT_STREAM (gst_mpegts_nit_stream_get_type())

### GST_TYPE_MPEGTS_SDT

    #define GST_TYPE_MPEGTS_SDT (gst_mpegts_sdt_get_type())

### GST_TYPE_MPEGTS_SDT_SERVICE

    #define GST_TYPE_MPEGTS_SDT_SERVICE (gst_mpegts_sdt_service_get_type())

### GST_TYPE_MPEGTS_SIT

    #define GST_TYPE_MPEGTS_SIT (gst_mpegts_sit_get_type())

Since : 1.20

### GST_TYPE_MPEGTS_SIT_SERVICE

    #define GST_TYPE_MPEGTS_SIT_SERVICE (gst_mpegts_sit_service_get_type())

Since : 1.20

### GST_TYPE_MPEGTS_TOT

    #define GST_TYPE_MPEGTS_TOT (gst_mpegts_tot_get_type())

The results of the search are